Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchCodeMark

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchCodeMark

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchCodeMark

extends java.lang.Object
implements EPPCodecComponent

Class for an address within an `EPPMarkContact`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the local name
`static java.lang.String` | `ELM_NAME` Constant for the tag name

Constructor Summary
`EPPLaunchCodeMark()` Default constructor for `EPPLaunchCodeMark`.
`EPPLaunchCodeMark(EPPMark aMark)` Constructor that takes just the mark attribute of the `EPPLaunchCodeMark`.
`EPPLaunchCodeMark(java.lang.String aCode)` Constructor that takes just the code attribute of the `EPPLaunchCodeMark`.
`EPPLaunchCodeMark(java.lang.String aCode, EPPMark aMark)` Constructor that takes both the code and mark attributes of the `EPPLaunchCodeMark`.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchCodeMark`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPMark` component
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Sets all this instance's data in the given XML document
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchCodeMark` compare.
`java.lang.String` | `getCode()` Gets the mark code used to validate the mark information.
`EPPMark` | `getMark()` Gets the mark information.
`boolean` | `hasCode()` Is the mark code set?
`boolean` | `hasCodeMark()` Is both the mark code and mark set?
`boolean` | `hasMark()` Is the mark set?
`void` | `setCode(java.lang.String aCode)` Sets the mark code used to validate the mark information.
`void` | `setMark(EPPMark aMark)` Sets the mark information.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the tag name

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchCodeMark

    public EPPLaunchCodeMark()

  Default constructor for `EPPLaunchCodeMark`.

### EPPLaunchCodeMark

    public EPPLaunchCodeMark(java.lang.String aCode)

  Constructor that takes just the code attribute of the `EPPLaunchCodeMark`.

  Parameters:
    `aCode` - Mark code

### EPPLaunchCodeMark

    public EPPLaunchCodeMark(EPPMark aMark)

  Constructor that takes just the mark attribute of the `EPPLaunchCodeMark`.

  Parameters:
    `aMark` - Mark information

### EPPLaunchCodeMark

    public EPPLaunchCodeMark(java.lang.String aCode,
                             EPPMark aMark)

  Constructor that takes both the code and mark attributes of the `EPPLaunchCodeMark`.

  Parameters:
    `aCode` - Mark code
    `aMark` - Mark information

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchCodeMark`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchCodeMark`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Sets all this instance's data in the given XML document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - a DOM Document to attach data to.
  Returns:
    The root element of this component.
  Throws:
    `EPPEncodeException` - Thrown if any errors prevent encoding.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPMark` component

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root element of the `EPPMark`
  Throws:
    `EPPDecodeException` - Error decoding the `EPPMark`

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchCodeMark` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchCodeMark` instance to compare with
  Returns:
    true if equal false otherwise

### hasCodeMark

    public boolean hasCodeMark()

  Is both the mark code and mark set?

  Returns:
    `true` if the mark code and mark are set; `false` otherwise.

### hasCode

    public boolean hasCode()

  Is the mark code set?

  Returns:
    `true` if the mark code is set; `false` otherwise.

### getCode

    public java.lang.String getCode()

  Gets the mark code used to validate the mark information.

  Returns:
    The mark code if defined; `null` otherwise.

### setCode

    public void setCode(java.lang.String aCode)

  Sets the mark code used to validate the mark information.

  Parameters:
    `aCode` - The mark code

### hasMark

    public boolean hasMark()

  Is the mark set?

  Returns:
    `true` if the mark is set; `false` otherwise.

### getMark

    public EPPMark getMark()

  Gets the mark information.

  Returns:
    the mark information if defined; `null` otherwise.

### setMark

    public void setMark(EPPMark aMark)

  Sets the mark information.

  Parameters:
    `aMark` - The mark information

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.